de.esprit.netsuite.server.abo

## Class ABOPrimaryKey

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.util.TransferableObject
    - - de.esprit.netsuite.server.abo.AbstractPrimaryKey
      - - de.esprit.netsuite.server.abo.ABOPrimaryKey

- All Implemented Interfaces:
    Renderable, DeepCloneable, Dumpable, PrimaryKey, java.io.Serializable, java.lang.Cloneable, java.lang.Comparable
  Direct Known Subclasses:
    SingletonPrimaryKey

      public class ABOPrimaryKey
      extends AbstractPrimaryKey

  This is a default implementation for a `PrimaryKey`.
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ABOPrimaryKey(java.lang.Class<? extends AbstractABO> aboClass, java.lang.Object... pkValues)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getABOClassName()` Returns the fully qualified class name of the business object
    `java.lang.Object[]` | `getValues()` Returns the primary key values as a string array.
    `void` | `setValues(java.lang.Object... pkValues)` Sets the primary key values

    - ### Methods inherited from class de.esprit.netsuite.server.abo.AbstractPrimaryKey

      `compareTo, equals, getRenderColor, getRenderIcon, getRenderText, getResourceName, getResourceType, getValue, hashCode, isSingleton, toDumpString, toString`

    - ### Methods inherited from class de.esprit.common.util.TransferableObject

      `clone, deepClone`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface de.esprit.common.type.Dumpable

      `toDumpString, toString`

- - ### Constructor Detail

    - #### ABOPrimaryKey

          public ABOPrimaryKey(java.lang.Class<? extends AbstractABO> aboClass,
                       java.lang.Object... pkValues)

  - ### Method Detail

    - #### getABOClassName

          public final java.lang.String getABOClassName()

      Description copied from interface: `PrimaryKey`
      Returns the fully qualified class name of the business object

    - #### getValues

          public final java.lang.Object[] getValues()

      Description copied from interface: `PrimaryKey`
      Returns the primary key values as a string array.

    - #### setValues

          public void setValues(java.lang.Object... pkValues)

      Description copied from interface: `PrimaryKey`
      Sets the primary key values

Copyright © 2014 EsprIT-Systems. All Rights Reserved.